LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
XTargetPropertiesCreator Interface Reference

Factory interface to generate properties for all animated targets. More...

`import"XTargetPropertiesCreator.idl";`

Inheritance diagram for XTargetPropertiesCreator:

## Public Member Functions
sequence< TargetProperties > | createInitialTargetProperties ([in] XAnimationNode rootNode)
| Determine a sequence of global target properties. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Factory interface to generate properties for all animated targets.

Depending on mode and content of a SMIL animation tree, animation targets can have global properties different from the target's default. The most prominent example for such a difference is shape visibility: when a shape is to become visible in the course of a SMIL animation, it naturally has to be initially invisible for that effect to have any visible impact.

This factory interface is able to generate sequences of global properties for all targets referenced in a given SMIL animation tree.

## Member Function Documentation

sequence< TargetProperties > createInitialTargetProperties | ( | [in] XAnimationNode | rootNode | ) |

Determine a sequence of global target properties.

This method generates a sequence of TargetProperties in effect before the given SMIL animations start. These properties should be applied to the given animation targets, to achieve correct playback of the SMIL animations.

Parameters

  rootNode | Root node of the SMIL animation tree.

The documentation for this interface was generated from the following file:

- com/sun/star/animations/XTargetPropertiesCreator.idl